/*
 *  Kylin security execute control utils
 *
 *  Authors:  songchuanfei <songchuanfei@kylinos.cn>
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  mengyuan <mengyuan@kylinos.cn>
 *
 *  Copyright (C) 2017,Tianjin KYLIN Information Technology Co., Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <kysec/status.h>

static const char *func_desc[] = {
	"exec control",
	"file protect",
	"kmod protect",
	"three admin"
};

int main(int argc __attribute__ ((unused)), char **argv)
{
	int rc;

	rc = kysec_getstatus();
	if (rc < 0) {
		fprintf(stderr, "Kysec status read error!\n");
		return -1;
	}

	switch (rc) {
	case KYSEC_STATUS_WARNING:
		printf("KySec status: Warning\n");
		break;
	case KYSEC_STATUS_SOFTMODE:
		printf("KySec status: Softmode\n");
		break;
	case KYSEC_STATUS_NORMAL:
		printf("KySec status: Normal\n");
		break;
	case KYSEC_STATUS_DISABLED:
		printf("KySec status: Disabled\n");
		return 0;
	default:
		printf("KySec status: Unknown\n");
		return 0;
	}

	printf("\n");
	for (int i = 0; i < FUNC_MAX; i++) {
		rc = kysec_get_func_status(i);
		switch (rc) {
		case FUNC_ENABLED:
			printf("%-12s: on\n", func_desc[i]);
			break;
		case FUNC_DISABLED:
			printf("%-12s: off\n", func_desc[i]);
			break;
		default:
			printf("%-12s: unknown\n", func_desc[i]);
			break;
		}
	}

out:
	return 0;
}
